org.codehaus.groovy.classgen.asm

## Interface TypeChooser

- All Known Implementing Classes:
    StatementMetaTypeChooser, StaticTypesTypeChooser

      public interface TypeChooser

  Interface for modules which are capable of resolving the type of an expression. Several implementations are available, depending on whether you are in a dynamic or static compilation mode.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassNode` | `resolveType(Expression expression, ClassNode classNode)` Resolve the type of an expression.

- - ### Method Detail

    - #### resolveType

          ClassNode resolveType(Expression expression,
                              ClassNode classNode)

      Resolve the type of an expression. Depending on the implementations, the returned type may be the declared type or an inferred type.
      Parameters:
        `expression` - the expression for which the type must be returned.
        `classNode` - the classnode this expression belongs to
      Returns:
        the resolved type.